org.apache.hadoop.yarn.api.records.timeline

## Class TimelineHealth

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.timeline.TimelineHealth

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public class TimelineHealth
      extends Object

  This class holds health information for ATS.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TimelineHealth.TimelineHealthStatus` Timline health status.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimelineHealth()`
    `TimelineHealth(TimelineHealth.TimelineHealthStatus healthy, String diagnosticsInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDiagnosticsInfo()`
    `TimelineHealth.TimelineHealthStatus` | `getHealthStatus()`
    `void` | `setDiagnosticsInfo(String diagnosticsInfo)`
    `void` | `setHealthStatus(TimelineHealth.TimelineHealthStatus healthStatus)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimelineHealth

          public TimelineHealth(TimelineHealth.TimelineHealthStatus healthy,
                                String diagnosticsInfo)

    - #### TimelineHealth

          public TimelineHealth()

  - ### Method Detail

    - #### getHealthStatus

          public TimelineHealth.TimelineHealthStatus getHealthStatus()

    - #### getDiagnosticsInfo

          public String getDiagnosticsInfo()

    - #### setHealthStatus

          public void setHealthStatus(TimelineHealth.TimelineHealthStatus healthStatus)

    - #### setDiagnosticsInfo

          public void setDiagnosticsInfo(String diagnosticsInfo)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.